APIs / Imgur / Search

Imgur: Search

Search from Imgur as JSON. 1 credit per successful call.

GET /v1/imgur/searchNeeds terms

Note
This endpoint needs the restricted-endpoint terms, which you can accept in your dashboard.

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
qstringRequiredUp to 200 characters
pageintegerOptionalAny
sortstringOptional-time, -viral

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/imgur/search?q=cats" \
  -H "X-API-Key: $API_KEY"